#!/bin/bash
# ============LICENSE_START=======================================================
#  Copyright (C) 2020 The Nordix Foundation. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================

set -o errexit
set -o nounset
set -o pipefail

# Make directory to hold source repository archive artifact
mkdir -p $REPO_ARCHIVE_ARTIFACT_DIRECTORY

# Ensure at root of the $WORKSPACE
cd $WORKSPACE

# Parse uds version number from pom.xml file for use within archive filename
# e.g. <uds.version>1.7.0-SNAPSHOT</uds.version>
VERSION=$(grep $GREP_PARAMS $POM_LOCATION)

# Compress each source repository into an archive
# Includes SHA commit ids of the projects for traceability of the artifacts
# e.g. uds-1.7.0-SNAPSHOT-6d3abef-d96bad4.tar.gz
echo "----------------------------------------------------"
echo "INFO: Archive $PROJECTS"
echo "----------------------------------------------------"
tar -zcvf $REPO_ARCHIVE_ARTIFACT_DIRECTORY/$ARCHIVENAME-$VERSION-$COMMIT_IDS.tar.gz $PROJECT_DIRECTORIES
